function political_campaign_menu_open_nav() {
	window.political_campaign_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function political_campaign_menu_close_nav() {
	window.political_campaign_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.political_campaign_currentfocus=null;
  	political_campaign_checkfocusdElement();
	var political_campaign_body = document.querySelector('body');
	political_campaign_body.addEventListener('keyup', political_campaign_check_tab_press);
	var political_campaign_gotoHome = false;
	var political_campaign_gotoClose = false;
	window.political_campaign_responsiveMenu=false;
 	function political_campaign_checkfocusdElement(){
	 	if(window.political_campaign_currentfocus=document.activeElement.className){
		 	window.political_campaign_currentfocus=document.activeElement.className;
	 	}
 	}
 	function political_campaign_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.political_campaign_responsiveMenu){
			if (!e.shiftKey) {
				if(political_campaign_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				political_campaign_gotoHome = true;
			} else {
				political_campaign_gotoHome = false;
			}

		}else{

			if(window.political_campaign_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.political_campaign_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.political_campaign_responsiveMenu){
				if(political_campaign_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					political_campaign_gotoClose = true;
				} else {
					political_campaign_gotoClose = false;
				}
			
			}else{

			if(window.political_campaign_responsiveMenu){
			}}}}
		}
	 	political_campaign_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);
 
  /*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

  // Sticky Copyright
  $(window).scroll(function(){
    var sticky = $('.copyright-sticky'),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass('copyright-fixed');
    else sticky.removeClass('copyright-fixed');
  });
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});

jQuery('document').ready(function(){
  var owl = jQuery('#Campaign-princi-section .owl-carousel');
    owl.owlCarousel({
    margin:20,
    nav: true,
    autoplay : true,
    lazyLoad: true,
    autoplayTimeout: 3000,
    loop: true,
    dots:false,
    navText : ['<i class="fas fa-angle-left"></i>','<i class="fas fa-angle-right"></i>'],
    responsive: {
      0: {
        items: 1
      },
      600: {
        items: 3
      },
      1000: {
        items: 5
      }
    },
    autoplayHoverPause : true,
    mouseDrag: true
  });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const political_campaign_progressBar =
        document.getElementById("political_campaign_elemento_progress_bar");
    if (!political_campaign_progressBar) return;
    window.addEventListener("scroll", function () {
        const political_campaign_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const political_campaign_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const political_campaign_scrolled =
            (political_campaign_scrollTop / political_campaign_height) * 100;
        political_campaign_progressBar.style.width =
            political_campaign_scrolled + "%";
    });
});